io.milvus.v2.service.rbac

## Class UserService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.rbac.UserService

-     public class UserService
      extends BaseService

- - ### Field Summary

    - ### Fields inherited from class io.milvus.v2.service.BaseService

      `convertUtils, dataUtils, rpcUtils, vectorUtils`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Void` | `createUser(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateUserReq request)`
    `DescribeUserResp` | `describeUser(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DescribeUserReq request)`
    `java.lang.Void` | `dropUser(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DropUserReq request)`
    `java.util.List<java.lang.String>` | `listUsers(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)`
    `java.lang.Void` | `updatePassword(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, UpdatePasswordReq request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserService

          public UserService()

  - ### Method Detail

    - #### listUsers

          public java.util.List<java.lang.String> listUsers(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)

    - #### describeUser

          public DescribeUserResp describeUser(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                               DescribeUserReq request)

    - #### createUser

          public java.lang.Void createUser(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                           CreateUserReq request)

    - #### updatePassword

          public java.lang.Void updatePassword(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                               UpdatePasswordReq request)

    - #### dropUser

          public java.lang.Void dropUser(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                         DropUserReq request)